Package org.apache.sysds.runtime.compress

## Class CompressionStatistics

- java.lang.Object
- - org.apache.sysds.runtime.compress.CompressionStatistics

    public class CompressionStatistics
    extends Object

Compression Statistics contain the main information gathered from the compression, such as sizes of the original matrix, vs the compressed representation at different stages of the compression.

### Field Summary

Fields
`double` `compressedCost` Cost of the compressed representation
`double` `compressedInitialCost` Compressed cost after compression but before finalize
`long` `compressedInitialSize` Compression size after compressing but before finalize
`long` `compressedSize` Compressed size
`long` `denseSize` Size if the input is dense
`double` `estimatedCostCoCoded` Summed cost after cocoding
`double` `estimatedCostCols` Summed cost estimated from individual columns
`long` `estimatedSizeCoCoded` Estimated size of compressing after co-coding
`long` `estimatedSizeCols` Estimated size of compressing individual columns
`double` `originalCost` Cost calculated by the cost estimator on input
`long` `originalSize` Size of the original input
`long` `sparseSize` Size if the input is sparse

### Constructor Summary

Constructors
`CompressionStatistics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getCostRatio()`
`double` `getDenseRatio()`
`String` `getGroupsSizesString()`
`String` `getGroupsTypesString()`
`double` `getRatio()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### originalSize

    public long originalSize

Size of the original input

#### denseSize

    public long denseSize

Size if the input is dense

#### sparseSize

    public long sparseSize

Size if the input is sparse

#### estimatedSizeCols

    public long estimatedSizeCols

Estimated size of compressing individual columns

#### estimatedSizeCoCoded

    public long estimatedSizeCoCoded

Estimated size of compressing after co-coding

#### compressedInitialSize

    public long compressedInitialSize

Compression size after compressing but before finalize

#### compressedSize

    public long compressedSize

Compressed size

#### originalCost

    public double originalCost

Cost calculated by the cost estimator on input

#### estimatedCostCols

    public double estimatedCostCols

Summed cost estimated from individual columns

#### estimatedCostCoCoded

    public double estimatedCostCoCoded

Summed cost after cocoding

#### compressedInitialCost

    public double compressedInitialCost

Compressed cost after compression but before finalize

#### compressedCost

    public double compressedCost

Cost of the compressed representation

### Constructor Detail

#### CompressionStatistics

    public CompressionStatistics()

### Method Detail

#### getGroupsTypesString

    public String getGroupsTypesString()

#### getGroupsSizesString

    public String getGroupsSizesString()

#### getRatio

    public double getRatio()

#### getCostRatio

    public double getCostRatio()

#### getDenseRatio

    public double getDenseRatio()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`